#
# Spec file for the linux 2.2.x capabilities library
#

Summary: library to allow POSIX 1e capabilities to be used from within linux programs
Name: libcap
Version: 1.02
Release: 3
Copyright: Copyright (c) 1997 Andrew G Morgan <morgan@linux.kernel.org> (GPL)
Vendor: Andrew G Morgan <morgan@linux.kernel.org>
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Group: Libraries
Distribution: Red Hat Contrib|Net 
Source: ftp://linux.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.1/libcap-1.02.tar.gz
URL: http://www1.us.kernel.org/linux/libs/security/linux-privs/

ExclusiveOS: Linux
BuildRoot: /tmp/build
AutoReqProv: no

requires: ld-linux.so.2 libc.so.6
provides: libcap.so.1

%description 
This contains the libcap library and utilities which enable users of
linux (2.1.x or later) to use the POSIX 1e capability support built
into the linux kernel.  This allows fine-grained control over the
granting of process privaleges, and can allow processes to avoid the
security problems of the "all-powerful root", while still being
allowed controlled privaleged access to specific system resources.

It requires kernel 2.2.0 (actually 2.1.something) or higher.

%prep
%setup

%build
make

%install
make FAKEROOT=$RPM_BUILD_ROOT install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root) 
%doc README
%doc License
%doc progs/*.c

/usr/include/sys/capability.h

/usr/man/man3/*.3
/usr/man/man2/*.2

/lib/libcap.so.1.02
/lib/libcap.so.1
/lib/libcap.so

/sbin/execcap
/sbin/getpcaps
/sbin/setpcaps
/sbin/sucap
